npm install fail behind aggressive proxy


(Thebaptiste) #1

What I Wanted to Do

npm install -g npm@6.1.0
or
wget https://github.com/npm/cli/archive/v6.1.0.tar.gz
or
wget https://github.com/npm/cli/archive/v6.4.0.tar.gz

What Happened Instead

It doesn’t work behind our aggressive company proxy because the archive contains an other archive, cb-never-called-1.0.1.tgz, which can’t be uncompressed, so our proxy considers the archive is not safe and refuses to download it.
Is this file never-called-1.0.1.tgz necessary ? Should not it be corrected ?

Reproduction Steps

Details

Platform Info

$ npm --versions
<!-- paste output here -->
$ node -p process.platform
<!-- paste output here -->

(system) #2

This topic was automatically closed 90 days after the last reply. New replies are no longer allowed.